uniform vec2 modelDims;
// x: How far it goes Y+
// y: How far it goes Y-

void main(void)
{
	float heightfactor = (gl_Vertex.y - modelDims.y) / (modelDims.x - modelDims.y);
	heightfactor = 0.5 - heightfactor * 0.5;
	gl_FrontColor = vec4(1.0, 1.0, 1.0, gl_Color.x * heightfactor);
	//gl_FrontColor = vec4(1.0, 1.0, 0.0, 1.0);
	gl_TexCoord[1] = gl_MultiTexCoord1;
	gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;

	vec4 normal = vec4(normalize(gl_NormalMatrix * gl_Normal), 1.0);
	gl_TexCoord[0] = reflect(normal, gl_Position);
}